Integrate MLD in node bindings

This commit is contained in:
Patrick Niklaus
2017-03-17 15:19:56 +00:00
committed by Patrick Niklaus
parent 2cd4ba9a0a
commit 614398ed6c
9 changed files with 293 additions and 227 deletions
+2
View File
@@ -14,6 +14,8 @@ babel -V >/dev/null 2>&1 || { echo >&2 "Can't find babel. Add node_modules/.bin
browserify --help >/dev/null 2>&1 || { echo >&2 "Can't find browserify. Add node_modules/.bin to your path, or run via \"npm run\""; exit 1; }
uglifyjs -V >/dev/null 2>&1 || { echo >&2 "Can't find uglifyjs. Add node_modules/.bin to your path, or run via \"npm run\""; exit 1; }
documentation build src/nodejs/node_osrm.cpp --polyglot -f md -o docs/nodejs/api.md
# Clean up previous version
rm -rf build/docs